Results 1 to 5 of 5
  1.    #1  
    I have a problem with the "Call duration in call log" patch. I am on WebOS 1.4. I believe the problem is a result of the patch not being removed from an earlier version of WebOS before an upgrade. Since then I have been unable to remove or upgrade the patch.

    If I try to remove the patch, I get the following message from Preware:

    Prerm
    patching file usr/palm/applications/com.palm.app.phone/app/controllers/app-assistant.jsjsjs
    Hunk #1 FAILED at 1039.
    1 out of 1 hunk FAILED -- saving rejects to file usr/palm/applications/com.palm.app.phone/app/controllers/app-assistant.jsjsjs.$rej$

    If I try to upgrade the patch, I get the following message from Preware:

    Prerm
    patching file usr/palm/applications/com.palm.app.phone/app/controllers/app-assistant.jsjsjs
    Hunk #1 FAILED at 1039.
    1 out of 1 hunk FAILED -- saving rejects to file usr/palm/applications/com.palm.app.phone/app/controllers/app-assistant.jsjsjs.$rej$

    Is there a way to recover the original file or fix the problem? I would rather not doctor the phone since this is the only problem I am having. Everything else seem to be working just fine.

    Thanks for your help.
  2. #2  
    That file is new in 1.4, so if you installed this patch before the update, the change is gone. That's why it's failing when you try to remove it now.

    In the past, Preware and WOSQI handled this error differently... Preware would just quit while WOSQI would also remove the record of the patch as well. I don't know how the new "AUPT" system works and whether that changed this behavior.

    Try uninstalling with WOSQI. Unless Jason changed the behavior, I think that should solve your problem.
  3.    #3  
    WOSQI is also having thesame problem. It cannot remove or upgrade this patch. Any way I can replace the file?
  4. #4  
    I have a somewhat similar error, but I am getting the error
    Error uninstalling: org.webosinternals.patches.mojo-3000-autoreplace-words
    Error uninstalling: org.webosinternals.patches.top-bar-battery-percent-as-icon
    Error uninstalling: org.webosinternals.patches.youtube-copy-url-to-clipboard
    Error uninstalling: org.webosinternals.patches.email-enable-landscape-email
    Error uninstalling: org.webosinternals.patches.pdf-viewer-enable-landscape-pdf-viewer
    Error uninstalling: org.webosinternals.patches.sounds-and-alerts-select-alert-and-notification-tones

    All of these fail due to a number of "no such file or directory" error. I have tried removing them through quick install 3.02 and preware; I get the same error. They actually don't show up in quick install 2.96.

    I thought I had removed these prior to the 1.3.5 update; perhaps I have not. None of the patches actually function.

    I've been searching for a way to fix this; so far I have not found a way around this.

    (This stops me from using "tweks" in quick install 3.02 as it trys to update these and fails each time.)
  5. #5  
    Quote Originally Posted by Trailblazer View Post
    WOSQI is also having thesame problem. It cannot remove or upgrade this patch. Any way I can replace the file?
    WOSQI should have given you an error - but I would expect that it would also remove the patch from the list of installed patches. If not, then I guess maybe the behavior changed with WOSQI v.3 and/or AUPT.

    I don't think that replacing the file would do anything because it's not really patched. The patch is listed as installed but it's not.

    One option is to use Emergency Patch Recovery. That would clear out all the patches, allowing you to start again.

    There's probably a way to manually delete patch files from the command line, but I don't know enough to give you instructions.

Posting Permissions